package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF7A5 extends MwfRequest<MWF7A5, MWF7A5Response> {

    @Parameter(name = "CIF")
    MWF7A5 cif(String cif);
    @Parameter(name = "ChannelId")
    MWF7A5 channelId(String channelId);
    @Parameter(name = "Data")
    MWF7A5 data(java.util.List<MWF7A5Data> data);
    @Parameter(name = "LoginName")
    MWF7A5 loginName(String loginName);
    @Parameter(name = "ProdPackageKey")
    MWF7A5 prodPackageKey(Long prodPackageKey);
    @Parameter(name = "SignatureID")
    MWF7A5 signatureID(String signatureID);
}
